cURL
curl --request GET \
--url https://recoup-api.vercel.app/api/artist/segments \
--header 'x-api-key: <api-key>'import requests
url = "https://recoup-api.vercel.app/api/artist/segments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://recoup-api.vercel.app/api/artist/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"segments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artist_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"segment_name": "<string>",
"artist_name": "<string>"
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"message": "<string>"
}Artists
Get Artist Segments
Retrieve all segments associated with an artist. This endpoint should be called before using the Segment Fans endpoint to obtain the necessary segment IDs. Supports pagination.
GET
/
api
/
artist
/
segments
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the artist account to fetch segments for
The page number to retrieve (default: 1)
The number of records per page (default: 20, max: 100)
Required range:
x <= 100